/*
    This program calls the "thread functions" as regular functions,
    that is, they are called sequentially.
*/
#include <stdio.h>    // fprintf(), stderr
#include <unistd.h>   // sleep()
#include <pthread.h>
#include <windows.h>  // win32

// function prototypes
void *thread1(void *vargp);
void *thread2(void *vargp);

int main()
{
   // call the two functions
   thread1(NULL);
   thread2(NULL);

   fprintf(stderr, "\nAll done.\n");

   return 0;
}


void *thread1(void *vargp) // vargp means "variable (length) argument pointer"
{
   fprintf(stderr, "hello ");  // Note: stderr is not buffered
   //sleep(1);  // posix
   Sleep(1000); // win32
   fprintf(stderr, "from thread 1!\n");
   return NULL;
}


void *thread2(void *vargp)
{
   fprintf(stderr, "HELLO FROM ");
   //sleep(1);  // posix
   Sleep(1000); // win32
   fprintf(stderr, "THREAD 2?\n");
   return NULL;
}
